Modify

Opened 6 years ago

Closed 5 years ago

Last modified 4 years ago

#10657 closed defect (fixed)

[lantiq] MIPS: no machine found for id 'ARV752DPW', supported machines

Reported by: anonymous Owned by: blogic
Priority: high Milestone: Barrier Breaker 14.07
Component: kernel Version: Trunk
Keywords: vodafone, easybox 802, easybox, 802, arv752dpw, arcadyan, lantiq, danube Cc:

Description

Newest trunk r29600 is unable to boot ARV752DPW EasyBox 802. Kernel panic. The board info is missing. Just check out the logs.

ROM VER: 1.0.3
CFG 01
Read�
ROM VER: 1.0.3
CFG 01
Read EEPROMX
 X


U-Boot 2010.03 (Dec 23 2011 - 02:32:59)

Board: ARV752DPW
SoC: Danube/Twinpass/Vinax-VE V1.5, DDR Speed 166 MHz, CPU Speed 333 MHz
DRAM:  64 MB
Flash:  8 MB
*** Warning - bad CRC, using default environment

Net:
searching for rtl8306 switch ... found
Reset Hard
Done
Reset Soft
Success

lq_cpe_eth
Hit any key to stop autoboot:  0
## Booting kernel from Legacy Image at b0020000 ...
   Image Name:   MIPS OpenWrt Linux-3.1.4
   Created:      2011-12-23   2:01:04 UTC
   Image Type:   MIPS Linux Kernel Image (lzma compressed)
   Data Size:    945766 Bytes = 923.6 kB
   Load Address: 80002000
   Entry Point:  80002000
   Verifying Checksum ... OK
   Uncompressing Kernel Image ... OK

Starting kernel ...

[    0.000000] Linux version 3.1.4 (dk@xxx) (gcc version 4.5.4 20110808 (prerelease) (Linaro GCC 4.5-2011.08) ) #1 Fri Dec 23 03:01:02 CET 2011
[    0.000000] SoC: Danube rev 1.5
[    0.000000] bootconsole [early0] enabled
[    0.000000] CPU revision is: 00019641 (MIPS 24Kc)
[    0.000000] Determined physical RAM map:
[    0.000000]  memory: 04000000 @ 00000000 (usable)
[    0.000000] Initrd not found or empty - disabling initrd
[    0.000000] Zone PFN ranges:
[    0.000000]   Normal   0x00000000 -> 0x00004000
[    0.000000] Movable zone start PFN for each node
[    0.000000] early_node_map[1] active PFN ranges
[    0.000000]     0: 0x00000000 -> 0x00004000
[    0.000000] Built 1 zonelists in Zone order, mobility grouping on.  Total pages: 16256
[    0.000000] Kernel command line: console=ttyLTQ1,115200 rootfstype=squashfs,jffs2 machtype=ARV752DPW
[    0.000000] MIPS: no machine found for id 'ARV752DPW', supported machines:
[    0.000000] id                       name
[    0.000000] Generic                  Generic Lantiq based board
[    0.000000] EASY50712                EASY50712 Eval Board
[    0.000000] ARV752DPW22              ARV752DPW22 - Arcor A803
[    0.000000] ARV7518PW                ARV7518PW - ASTORIA
[    0.000000] ARV7525PW                ARV7525PW - Speedport W303V
[    0.000000] ARV4525PW                ARV4525PW - Speedport W502V
[    0.000000] ARV452CPW                ARV452CPW - Arcor A801
[    0.000000] ARV4520PW                ARV4520PW - Airties WAV-281, Arcor A800
[    0.000000] ARV4518PW                ARV4518PW - SMC7908A-ISP, Airties WAV-221
[    0.000000] ARV4510PW                ARV4510PW - Wippies Homebox
[    0.000000] ARV3527P                 ARV3527P - Arcor Easybox 401
[    0.000000] GIGASX76X                GIGASX76X - Gigaset SX761,SX762,SX763
[    0.000000] PID hash table entries: 256 (order: -2, 1024 bytes)
[    0.000000] Dentry cache hash table entries: 8192 (order: 3, 32768 bytes)
[    0.000000] Inode-cache hash table entries: 4096 (order: 2, 16384 bytes)
[    0.000000] Primary instruction cache 16kB, VIPT, 4-way, linesize 32 bytes.
[    0.000000] Primary data cache 16kB, 4-way, VIPT, no aliases, linesize 32 bytes
[    0.000000] Writing ErrCtl register=0001a468
[    0.000000] Readback ErrCtl register=0001a468
[    0.000000] Memory: 62040k/65536k available (2218k kernel code, 3496k reserved, 381k data, 168k init, 0k highmem)
[    0.000000] NR_IRQS:256
[    0.000000] CPU Clock: 333MHz
[    0.000000] Calibrating delay loop... 221.18 BogoMIPS (lpj=442368)
[    0.040000] pid_max: default: 32768 minimum: 301
[    0.044000] Mount-cache hash table entries: 512
[    0.052000] NET: Registered protocol family 16
[    0.064000] MIPS: machine is Generic Lantiq based board
[    0.076000] bio: create slab <bio-0> at 0
[    0.084000] Switching to clocksource MIPS
[    0.092000] NET: Registered protocol family 2
[    0.096000] IP route cache hash table entries: 1024 (order: 0, 4096 bytes)
[    0.104000] TCP established hash table entries: 2048 (order: 2, 16384 bytes)
[    0.112000] TCP bind hash table entries: 2048 (order: 1, 8192 bytes)
[    0.120000] TCP: Hash tables configured (established 2048 bind 2048)
[    0.124000] TCP reno registered
[    0.128000] UDP hash table entries: 256 (order: 0, 4096 bytes)
[    0.136000] UDP-Lite hash table entries: 256 (order: 0, 4096 bytes)
[    0.140000] NET: Registered protocol family 1
[    0.144000] gptu: totally 6 16-bit timers/counters
[    0.152000] gptu: misc_register on minor 63
[    0.156000] gptu: succeeded to request irq 126
[    0.160000] gptu: succeeded to request irq 127
[    0.164000] gptu: succeeded to request irq 128
[    0.168000] gptu: succeeded to request irq 129
[    0.172000] gptu: succeeded to request irq 130
[    0.176000] gptu: succeeded to request irq 131
[    0.188000] squashfs: version 4.0 (2009/01/31) Phillip Lougher
[    0.192000] JFFS2 version 2.2 (NAND) (SUMMARY) (LZMA) (RTIME) (CMODE_PRIORITY) (c) 2001-2006 Red Hat, Inc.
[    0.204000] msgmni has been set to 121
[    0.208000] io scheduler noop registered
[    0.212000] io scheduler deadline registered (default)
[    0.216000] ltq_asc.0: ttyLTQ0 at MMIO 0x1e100400 (irq = 104) is a ltq_asc
[    0.224000] ltq_asc.1: ttyLTQ1 at MMIO 0x1e100c00 (irq = 112) is a ltq_asc
[    0.232000] console [ttyLTQ1] enabled, bootconsole disabled
[    0.232000] console [ttyLTQ1] enabled, bootconsole disabled
[    0.248000] ltq_nor: error registering platform driver
[    0.256000] ltq_etop: Error registering platfom driver!
[    0.260000] TCP westwood registered
[    0.264000] NET: Registered protocol family 17
[    0.268000] 8021q: 802.1Q VLAN Support v1.8
[    0.276000] VFS: Cannot open root device "(null)" or unknown-block(0,0)
[    0.280000] Please append a correct "root=" boot option; here are the available partitions:
[    0.288000] Kernel panic - not syncing: VFS: Unable to mount root fs on unknown-block(0,0)

Attachments (0)

Change History (4)

comment:1 Changed 6 years ago by blogic

  • Owner changed from developers to blogic
  • Status changed from new to assigned

comment:2 Changed 5 years ago by florian

blogic, is that fixed now?

comment:3 Changed 5 years ago by florian

  • Resolution set to fixed
  • Status changed from assigned to closed

comment:4 Changed 4 years ago by jow

  • Milestone changed from Attitude Adjustment 12.09 to Barrier Breaker 14.07

Milestone Attitude Adjustment 12.09 deleted

Add Comment

Modify Ticket

Action
as closed .
The resolution will be deleted. Next status will be 'reopened'.
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.